
  
  <div class="container my-auto" style="padding-top: 3em ;">
    <div class="row">
      <div class="mx-auto">
        <div class="card z-index-0 fadeIn3 fadeInBottom">
          <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
            <div class="bg-gradient-primary shadow-primary border-radius-lg py-3 pe-1">
              <h4 class="text-white font-weight-bolder text-center mt-2 mb-0">Registrar empleado</h4>
            </div>
          </div>
          <div class="card-body form-group">
            <form ngNativeValidate [formGroup]="formularioEmpleado" (ngSubmit)="enviarDatos()" role="form" class="text-start">
             
              <div class="form-group">
                <label class="form-label">Primer nombre:</label>
                <input type="text" class="form-control" name="primer_nombre" formControlName="primer_nombre"   >
              </div>  
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['primer_nombre'].touched && formularioEmpleado.controls['primer_nombre'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['primer_nombre'].hasError('required')">
                    *El campo es requerido<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['primer_nombre'].hasError('maxlength')">
                    *La longitud máxima es de 20 letras<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['primer_nombre'].hasError('pattern')">
                    *Solo permite caracteres de la A a la Z, mayúscula, sin acentos ni Ñ 
                  </small >
                </div>                
              </div> 
              <div class="form-group">
                <label class="form-label">Otros nombres</label>
                <input type="text" class="form-control" name="otros_nombres" formControlName="otros_nombres">
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['otros_nombres'].touched && formularioEmpleado.controls['otros_nombres'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['otros_nombres'].hasError('maxlength')">
                    *La longitud máxima es de 50 letras<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['otros_nombres'].hasError('pattern')">
                    *Solo permite caracteres de la A a la Z, mayúscula, sin acentos ni Ñ 
                  </small >
                </div>                
              </div> 
              <div class="form-group">
                <label class="form-label">Primer apellido</label>
                <input type="text" class="form-control" name="primer_apellido" formControlName="primer_apellido"   >
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['primer_apellido'].touched && formularioEmpleado.controls['primer_apellido'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['primer_apellido'].hasError('required')">
                    *El campo es requerido<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['primer_apellido'].hasError('maxlength')">
                    *La longitud máxima es de 20 letras<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['primer_apellido'].hasError('pattern')">
                    *Solo permite caracteres de la A a la Z, mayúscula, sin acentos ni Ñ 
                  </small >
                </div>                
              </div> 
              <div class="form-group">
                <label class="form-label">Segundo apellido</label>
                <input type="text" class="form-control" name="segundo_apellido" formControlName="segundo_apellido"   >
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['segundo_apellido'].touched && formularioEmpleado.controls['segundo_apellido'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['segundo_apellido'].hasError('required')">
                    *El campo es requerido<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['segundo_apellido'].hasError('maxlength')">
                    *La longitud máxima es de 20 letras<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['segundo_apellido'].hasError('pattern')">
                    *Solo permite caracteres de la A a la Z, mayúscula, sin acentos ni Ñ 
                  </small >
                </div>                
              </div> 
              <div class="select-group  my-3">
                <label class="form-label">Tipo identificacion:</label>
                <select class="form-control" formControlName="id_tipo_identificacion" >
                    <option value="" selected="selected" hidden="hidden">Seleccionar identificacion</option>
                    <option *ngFor="let tipoDocumento of tiposDocumentos" [value]="tipoDocumento.id_tipo_documento">
                        {{tipoDocumento.nombre}}
                    </option>
                </select>
              </div> 
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['id_tipo_identificacion'].touched && formularioEmpleado.controls['id_tipo_identificacion'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['id_tipo_identificacion'].hasError('required')">
                    *El campo es requerido
                  </small>
                </div>                
              </div>               
              <div class="form-group">
                <label class="form-label">Numero de identificacion:</label>
                <input type="text" class="form-control" name="identificacion" formControlName="identificacion"   >
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['identificacion'].touched && formularioEmpleado.controls['identificacion'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['identificacion'].hasError('required')">
                    *El campo es requerido<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['identificacion'].hasError('maxlength')">
                    *La longitud máxima es de 20 letras<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['identificacion'].hasError('pattern')">
                    *Es el número de identificación del empleado, debe ser alfanumérico permitiendo los siguientes conjuntos de caracteres (a-z / A-Z / 0-9 / -). 
                  </small >
                </div>                
              </div> 
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="errores">
                  <small  >
                    *{{errores}}<br>
                  </small >                 
                </div>                
              </div> 
              <div class="form-group">
                <label class="form-label">Pais:</label>
                <select class="form-control" formControlName="id_pais"  >
                    <option value="" selected="selected" hidden="hidden">Seleccionar pais</option>
                    <option *ngFor="let pais of paises; let i = index" [value]="pais.id_pais">
                        {{pais.nombre}}
                    </option>
                </select>
              </div>    
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['id_pais'].touched && formularioEmpleado.controls['id_pais'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['id_pais'].hasError('required')">
                    *El campo es requerido
                  </small >
                </div>                
              </div>           
              <div class="form-group input-group-outline my-3">
                <label class="form-label">Area:</label>
                <select class="form-control" formControlName="id_area"  >
                    <option value="" selected="selected" hidden="hidden">Seleccionar area</option>
                    <option *ngFor="let area of areas; let i = index" [value]="area.id_area">
                        {{area.nombre}}
                    </option>
                </select>
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['id_area'].touched && formularioEmpleado.controls['id_area'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['id_area'].hasError('required')">
                    *El campo es requerido
                  </small >
                </div>                
              </div> 
              <div class="form-group">
                <label class="form-label">Fecha ingreso:</label>
                <input type="date" class="form-control" name="fecha_ingreso" formControlName="fecha_ingreso"   >
              </div>
              <div class="form-group">                
                <div class="alert alert-danger" role="alert" [ngStyle]="{'color':'white'}" *ngIf="formularioEmpleado.controls['fecha_ingreso'].touched && formularioEmpleado.controls['fecha_ingreso'].invalid">
                  <small  *ngIf="formularioEmpleado.controls['fecha_ingreso'].hasError('required')">
                    *El campo es requerido<br>
                  </small >
                  <small  *ngIf="formularioEmpleado.controls['fecha_ingreso'].hasError('fechaMenorAHoy')">
                    *No podrá ser superior a la fecha actual.
                  </small >
                </div>                
              </div> 
              
              <div class="form-group text-center">
                <button type="submit my-pagination" class="btn bg-gradient-primary w-100 my-4 mb-2">Registrar</button>
              </div>  
                
                        
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  
 